Bug 135003 - Title on gedit shows Hangul file name like %E%D via sftp://
Title on gedit shows Hangul file name like %E%D via sftp://
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gnome-vfs2 (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-07 17:22 EDT by Chris Ha
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-01 10:49:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Ha 2004-10-07 17:22:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041002
Firefox/0.10.1

Description of problem:
while on sftp://, title on gedit shows file name with Hangul(Korean)
shows like %E%D. 
But, content with Hangul shown as expected. Also, on locally opens the
file with gedit, the title shows correctly.

gnome-vfs-devel-1.0.5-21
gnome-vfs-extras-0.2.0-9
gnome-vfs-1.0.5-21
gnome-vfs2-smb-2.8.1-7
gnome-vfs2-devel-2.8.1-7
gnome-vfs2-2.8.1-7
gedit-devel-2.8.0-1
gedit-2.8.0-1

thanks,
atie


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.make a file with hangul name and content
2.do sftp:// from nautilus
3.open the file with gedit
    

Actual Results:  just a bit annoyed

Expected Results:  title should be displayed with Hangul as same as on
local

Additional info:
Comment 1 Chris Ha 2004-10-07 18:06:53 EDT
The bug happened in gnome, I have tested with kde+konqueror. 

While on fish://, can see very strange characters for the file name
from konqueror. (It's not %ED%~~~)

While on sftp://, hangul file name correctly shown on konqueror.
And, same thing happens with gedit.(title shows like %ED%~~~ )
But, with kwrite, KIOExec displays error message " ~~ file not exist".
More than that, file name on error message is shown with Hangul,
strange! On kde 3.3.0-7...

Comment 2 Kazimieras Vaina 2005-06-23 04:49:35 EDT
I have similar problems with fc4. The sftp is ok, but I noticed similar problems
browsing shamba shares with nautilus. It shows %20 instead of spaces in file
names. I can not copy such files or browse shared folders with spaces.

My computer is Athlon 64 and I installed 64 bit os as well.
Comment 3 Alexander Larsson 2006-09-01 10:49:58 EDT
Escaping in URIs is normal, unfortunately. The strings might not even be valid
utf8 if unescaped.

Note You need to log in before you can comment on or make changes to this bug.